
--
-- THIS SCRIPT HANDLE THE CUSTOM FLAP LEVER BEHAVIOR
--



------------------------------- FUNCTIONS -------------------------------

function flap_lever_func()
end

-- MOVE THE LEVER ALSO USING COMMANDS VIA KEYBOARD
function flapsup_before(phase, duration)
	if phase == 0 then
		flap_lever = -0.9
	end
end
function flapsup_after(phase, duration)
end
function flapsdown_before(phase, duration)
	if phase == 0 then
		flap_lever = 0.9
	end
end
function flapsdown_after(phase, duration)
end




----------------------------------- LOCATE AND/OR CREATE DATAREFS -----------------------------------

flap_ratio = find_dataref("sim/cockpit2/controls/flap_ratio")
flap_lever = create_dataref("dmax/P2002/flap_lever","number",flap_lever_func) --> (controlled by the manipulator: -1 flap moving up, 0 neutral, 1 flap moving dwn)






------------------------------- LOCATE AND/OR CREATE COMMANDS -------------------------------

cmdflaps_up = find_command("sim/flight_controls/flaps_up")
cmdflaps_down = find_command("sim/flight_controls/flaps_down")

cmdwrap_flaps_up = wrap_command("sim/flight_controls/flaps_up",flapsup_before,flapsup_after)
cmdwrap_flaps_down = wrap_command("sim/flight_controls/flaps_down",flapsdown_before,flapsdown_after)








----------------------------------- RUNTIME CODE -----------------------------------


-- DO THIS EACH FLIGHT START
--function flight_start()
--
--end




-- REGULAR RUNTIME
function after_physics()


	-- MOVE FLAP IF THE LEVER IS MOVED ENOUGH UP OR DWN
	if flap_lever == -1 then
		cmdflaps_up:start()
	else
		cmdflaps_up:stop()
	end

	if flap_lever == 1 then
		cmdflaps_down:start()
	else
		cmdflaps_down:stop()
	end


	-- MAKE THE FLAP LEVER ALWAYS RETURN TO ZERO (CENTER)
	if flap_lever > 0 then
		flap_lever = flap_lever - 0.1
	end
	if flap_lever < 0 then
		flap_lever = flap_lever + 0.1
	end
	if flap_lever > -0.25 and flap_lever < 0.25 then
		flap_lever = 0
	end

end


