
--
-- THIS SCRIPT CREATE CUSTOM COMMANDS TO CYCLE THE FUEL SELECTOR JUST FROM LEFT TO RIGHT (1,3)
-- WE ALSO ANIMATE SLOWLY THE FUEL HANDLE
--


----------------------------------- LOCATE AND/OR CREATE DATAREFS -----------------------------------

fuel_tank_selector = find_dataref("sim/cockpit2/fuel/fuel_tank_selector") -- (0=none, 1=left, 2=center, 3=right, 4=all)
fuel_tank_selector_custom = create_dataref("dmax/P2002/fuel_tank_selector","number") -- rotation degree of the handle





------------------------------- FUNCTIONS -------------------------------

-- ANIMATION OF THE FUEL HANDLE
function update_fuel_handle()
	fuel_tank_selector_custom = fuel_tank_selector_custom + ((fuel_tank_selector_custom_NEW - fuel_tank_selector_custom) * (10 * SIM_PERIOD))
end



------------------------------- FUNCTIONS: COMMANDS CALLBACK -------------------------------

function cmd_fuel_selector_up(phase, duration)
	if phase == 0 then
		fuel_tank_selector_custom_NEW = -45
		fuel_tank_selector = 3
	end
end

function cmd_fuel_selector_dwn(phase, duration)
	if phase == 0 then
		fuel_tank_selector_custom_NEW = 45
		fuel_tank_selector = 1
	end
end





------------------------------- LOCATE AND/OR CREATE COMMANDS -------------------------------

cmdcustomfuelup = create_command("dmax/P2002/fuel_selector_up","Move the fuel selector up one",cmd_fuel_selector_up)
cmdcustomfueldwn = create_command("dmax/P2002/fuel_selector_dwn","Move the fuel selector down one",cmd_fuel_selector_dwn)










----------------------------------- RUNTIME CODE -----------------------------------


-- DO THIS EACH FLIGHT START
function flight_start()

	if fuel_tank_selector == 1 then
		fuel_tank_selector_custom = 45
	elseif fuel_tank_selector == 3 then
		fuel_tank_selector_custom = -45
	else
		fuel_tank_selector = 1
		fuel_tank_selector_custom = 45
	end
	fuel_tank_selector_custom_NEW = fuel_tank_selector_custom

end




-- REGULAR RUNTIME
function after_physics()

	-- UPDATE/ANIMATE FUEL HANDLE IF CHANGED
	update_fuel_handle()

end


